#include <stdio.h>
#include <stdlib.h>

int main()
{
    int t;
    scanf("%d",&t);
    unsigned long long int a[t][3];
    int i;
    for(i=1;i<=t;i++)
    {
        unsigned long long int m,n,k;
        scanf("%llu%llu%llu",&n,&m,&k);
        a[i-1][0]=n;
        a[i-1][1]=m;
        a[i-1][2]=k;
    }
    int b[t];
    for(i=0;i<t;i++)
    {
        unsigned long long int s,o;
        s=a[i][0]/a[i][2];
        o=a[i][0]%a[i][2];
        if(s*(s+1)/2*a[i][2]+o*(s+1)>a[i][1])
        {
            b[i]=0;
        }
        else
        {
            b[i]=1;
        }
    }
    for(i=0;i<t;i++)
    {
        if(b[i]==0)
        {
            printf("Nie\n");
        }
        else
        {
            printf("Tak\n");
        }
    }
}